﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using moxa;

namespace ProgramLED
{
    class Program
    {
        static void Main(string[] args)
        {
            System.Console.WriteLine("Enter 'q' to quit the programmable LED test..");
            while (true)
            {
                System.Console.WriteLine("Enter the value..");
                string s = System.Console.ReadLine();
                if (s.StartsWith("q") || s.StartsWith("Q"))
                {
                    break;
                }
                            
                //set the programmable LED
                uint value = Convert.ToUInt32(s);
                moxa.da710.ProgrammableLED.Set(value);
            }

        }
    }
}
