/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>
#include "devices.h"
void Usage(void);

int _tmain(int argc, _TCHAR* argv[])
{
	int data=0;
	if (argc==1)
	{
		Usage();
		return -1;
	}

	data=_wtol(argv[1]);
	if(ProgrammableLED_set(data))
	{
		printf("Set programmable LED success.\n");
	}
	else
	{
		printf("Set programmable LED fail.\n");
	}
	
	return 0;
}

void Usage(void)
{
	printf("Programmable LED Test Program\n");
	printf("Usage: \n");
	printf("\tProgramLED [data] , data : 0~15, 0 : full off, 15 : full on ");
	printf("Example: \n");
	printf("\tProgramLED 3 --> 0011 --> LED3 : on, LED4 : on\n");
	printf("\tProgramLED 4 --> 0100 --> LED2 : on\n");
}
